White Label Admin - Update default deployment target
curl --request POST \
--url https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/deploymentTargets/default \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"defaultDeploymentTarget": "C++ library"
}
'import requests
url = "https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/deploymentTargets/default"
payload = { "defaultDeploymentTarget": "C++ library" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({defaultDeploymentTarget: 'C++ library'})
};
fetch('https://studio.edgeimpulse.com/v1/api/organizations/{organizationId}/whitelabel/deploymentTargets/default', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"error": "<string>"
}White Label Admin - Update default deployment target
White label admin only API to update the default deployment target for this white label.
POST
/
api
/
organizations
/
{organizationId}
/
whitelabel
/
deploymentTargets
/
default
White Label Admin - Update default deployment target
Authorizations
ApiKeyAuthenticationJWTAuthenticationJWTHttpHeaderAuthenticationOAuth2
Path Parameters
Organization ID
Body
application/json
Name of the default deployment target
Example:
"C++ library"
Was this page helpful?
White Label Admin - Update deployment targets
Previous
White Label Admin - Update the order of deployment options in the deployment view
Next
⌘I